Loading...
Searching...
No Matches
pcl::PointXYZHSV Struct Reference

`#include <pcl/impl/point_types.hpp>`

Inheritance diagram for pcl::PointXYZHSV:

## Public Member Functions

constexpr | PointXYZHSV (const _PointXYZHSV &p)
constexpr | PointXYZHSV ()
constexpr | PointXYZHSV (float _h, float _s, float _v)
constexpr | PointXYZHSV (float _x, float _y, float _z, float _h, float _s, float _v)

## Friends

std::ostream & | operator<< (std::ostream &os, const PointXYZHSV &p)

## Additional Inherited Members

Public Attributes inherited from pcl::_PointXYZHSV
union { |
struct { |
float h |
float s |
float v |
} |
float data_c [4] |
}; |

## Detailed Description

Definition at line 690 of file point_types.hpp.

## Constructor & Destructor Documentation

## PointXYZHSV() [1/4]

pcl::PointXYZHSV::PointXYZHSV | ( | const _PointXYZHSV & | p | ) |

inline constexpr

Definition at line 692 of file point_types.hpp.

References pcl::_PointXYZHSV::h, PointXYZHSV(), pcl::_PointXYZHSV::s, and pcl::_PointXYZHSV::v.

Referenced by operator<<, PointXYZHSV(), PointXYZHSV(), and PointXYZHSV().

## PointXYZHSV() [2/4]

pcl::PointXYZHSV::PointXYZHSV | ( |  | ) |

inline constexpr

Definition at line 695 of file point_types.hpp.

References PointXYZHSV().

## PointXYZHSV() [3/4]

pcl::PointXYZHSV::PointXYZHSV | ( | float | _h,
|  | float | _s,
|  | float | _v )

inline constexpr

Definition at line 699 of file point_types.hpp.

References PointXYZHSV().

## PointXYZHSV() [4/4]

pcl::PointXYZHSV::PointXYZHSV | ( | float | _x,
|  | float | _y,
|  | float | _z,
|  | float | _h,
|  | float | _s,
|  | float | _v )

inline constexpr

Definition at line 702 of file point_types.hpp.

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | os,
|  | const PointXYZHSV & | p )

friend

References PCL_MAKE_ALIGNED_OPERATOR_NEW, and PointXYZHSV().

The documentation for this struct was generated from the following file:

- pcl/impl/point_types.hpp